[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.ThreadExecuting

Is the message thread currently executing ?

## Declaration

Source position: simpleipc.pp line 211

`public property TSimpleIPCServer.ThreadExecuting : Boolean read FThreadExecuting;`

## Description

ThreadExecuting is true if the server is currently running a message loop in a thread and the thread is in an executing state.

## See also

TSimpleIPCServer.ThreadError |  | Last thread error
TSimpleIPCServer.StartServer |  | Start the server
TSimpleIPCServer.OnThreadError |  | Triggered when a thread reports an error
TSimpleIPCServer.Threaded |  | Is the server running threaded or not ?